%define oname   plasma-weatherforecast
%define kde_version	kde-4.2

Name:           plasma-applet-weatherforecast
Summary:        One more weather plasmoid
Version:        0.8
Release:        %mkrel 7
Url:            http://kde-look.org/content/show.php/weatherforecast?content=92149
License:        GPLv2+
Group:          Graphical desktop/KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %oname-%version-kde-4.2.tar.xz
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
One more weather plasmoid.
Problems:
If the city name is very long like "Saint Petersburg" then "Press and hold Ctrl" 
and then resize plasmoid horizontally to get the complete city name.
If you find the fonts too big just change the size in
file: plasma-weatherforecast.cpp
line number: 276


%prep
%setup -q -n %oname-%version-kde-4.2


%build
%cmake_kde4
%make


%install
rm -fr %buildroot
cd build
%{makeinstall_std}
cd -


%files
%defattr(-,root,root)

%{_kde_libdir}/kde4/plasma_applet_weatherforecast.so
%{_kde_appsdir}/desktoptheme/default/widgets/plasma-weatherforecast.svg
%{_kde_datadir}/kde4/services/plasma-applet-weatherforecast.desktop


%clean
rm -rf "%{buildroot}"


%changelog
* Sun Nov 10 2013 bb <bb>
- update for new kde

